NewWacht Bench is live — AI-assisted development for Wacht

Accept Invitation

POST
/organizations/invitations/accept

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

token*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/organizations/invitations/accept" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'token=string'
{
  "status": 0,
  "message": "string",
  "data": {
    "organization": {
      "id": "string",
      "name": "string"
    },
    "workspace": {
      "id": "string",
      "name": "string"
    },
    "signin_id": "string",
    "already_member": true,
    "message": "string",
    "requires_signin": true,
    "invited_email": "string",
    "error_code": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}